package com.ejie.ab79.model.REST.servicioWeb;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class DocumentoActividadAsociada extends Estado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idDocumento;
	private String oid;
	private String nombreDocumento;
	private String tipoCastellano;
	private String tipoEuskera;
	private Date fecha;
	private Integer origenOid;

	public DocumentoActividadAsociada() {
	}

	public Integer getIdDocumento() {
		return idDocumento;
	}

	public void setIdDocumento(Integer idDocumento) {
		this.idDocumento = idDocumento;
	}

	public String getOid() {
		return oid;
	}

	public void setOid(String oid) {
		this.oid = oid;
	}

	public String getNombreDocumento() {
		return nombreDocumento;
	}

	public void setNombreDocumento(String nombreDocumento) {
		this.nombreDocumento = nombreDocumento;
	}

	public String getTipoCastellano() {
		return tipoCastellano;
	}

	public void setTipoCastellano(String tipoCastellano) {
		this.tipoCastellano = tipoCastellano;
	}

	public String getTipoEuskera() {
		return tipoEuskera;
	}

	public void setTipoEuskera(String tipoEuskera) {
		this.tipoEuskera = tipoEuskera;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecha() {
		return fecha;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	public Integer getOrigenOid() {
		return origenOid;
	}

	public void setOrigenOid(Integer origenOid) {
		this.origenOid = origenOid;
	}

}
